Package org.eclipse.remote.core

# Interface IRemoteConnectionType.Service.Factory

All Known Implementing Classes:
  `RemoteUIFileService.Factory`

Enclosing interface:
  IRemoteConnectionType.Service

public static interface IRemoteConnectionType.Service.Factory

## Method Summary

Modifier and Type
Method
Description
`<T extends IRemoteConnectionType.Service>
T`
`getService(IRemoteConnectionType connectionType, Class<T> service)`

## Method Details

### getService

<T extends IRemoteConnectionType.Service> T getService(IRemoteConnectionType connectionType, Class<T> service)